/**********************************************************************
* File: f2812_ram.cmd -- Linker command file for Boot to H0 bootmode.
* History: 09/08/03 - original (based on DSP28 header files v1.00, D. Alter)
**********************************************************************/


/**************************************************************/
/* Link all user defined sections                             */
/**************************************************************/
SECTIONS
{

/*** Code Security Password Locations ***/
   passwords         : > PASSWORDS,        PAGE = 0, TYPE = DSECT  /* Not used in RAM example */
   csm_rsvd          : > CSM_RSVD,         PAGE = 0, TYPE = DSECT  /* Not used in RAM example */

/*** User Defined Sections ***/
   codestart         : > BEGIN_H0,         PAGE = 0   /* Used by file CodeStartBranch.asm */

                         /* Section ramfuncs used by InitFlash() in SysCtrl.c */ 
   secureRamFuncs    :   LOAD = H0SARAM,   PAGE = 0   /* can be ROM */
                         RUN = L0SARAM,    PAGE = 0   /* must be CSM secured RAM */
                         LOAD_START(_secureRamFuncs_loadstart),
                         LOAD_END(_secureRamFuncs_loadend),
                         RUN_START(_secureRamFuncs_runstart)
}
